=== debian/changelog ===
qmapshack (0.6.0-1) unstable; urgency=medium

  * Start new upload.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 16 Oct 2014 21:41:48 +0200

qmapshack (0.5.0-1) unstable; urgency=low

  * Imported Upstream version 0.5.0
  * Remove qt5-default from build deps.
  * Bump Standards.
  * Update copyright file.
  * Provide code for Exec key in desktop file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 07 Oct 2014 12:47:09 +0200

qmapshack (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #756064).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 17 Aug 2014 18:07:05 +0200
