=== debian/control ===
Source: qmapshack
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: cmake,
               debhelper (>= 9.20120417~),
               inkscape,
               libgdal-dev (>= 1.10.1-0~),
               libproj-dev,
               libqt5opengl5-dev,
               libqt5webkit5-dev,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/qmapshack.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/qmapshack.git

Package: qmapshack
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gdal-bin
Suggests: gpsd
Description: GPS mapping (GeoTiff and vector) and GPSr management
 This package provides a versatile tool for GPS maps in GeoTiff format as
 well as Garmin's img vector map format.
 You can also view and edit your GPX tracks.
 QMapShack is the successor of QLandkarteGT.
 .
 Main features:
  - Use of several workspaces.
  - Use several maps on a workspace.
  - Handle data project-oriented.
