=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 find_package(Qt5Widgets)
 find_package(Qt5Core)
 find_package(Qt5Xml)
+find_package(Qt5Script)
 find_package(Qt5WebKitWidgets)
 find_package(Qt5LinguistTools)
 find_package(GDAL REQUIRED)
@@ -46,6 +47,7 @@
     map/CMapMAP.cpp
     map/CMapVRT.cpp
     map/CMapWMTS.cpp
+    map/CMapTMS.cpp
     map/CMapPathSetup.cpp    
     map/CMapPropSetup.cpp
     map/garmin/IGarminStrTbl.cpp
@@ -55,8 +57,8 @@
     map/garmin/CGarminPoint.cpp
     map/garmin/CGarminPolygon.cpp
     map/garmin/CGarminTyp.cpp
-    map/wmts/CDiskCache.cpp
-    map/wmts/IDiskCache.cpp
+    map/cache/CDiskCache.cpp
+    map/cache/IDiskCache.cpp
     map/mapsforge/types.cpp
     units/IUnit.cpp
     units/CUnitImperial.cpp
@@ -84,6 +86,11 @@
     gis/CGisDraw.cpp
     gis/IGisItem.cpp
     gis/IGisLine.cpp
+    gis/CGisWidget.cpp
+    gis/CGisListDB.cpp
+    gis/CGisListWks.cpp
+    gis/IGisProject.cpp
+    gis/CGisSerialization.cpp
     gis/wpt/CGisItemWpt.cpp
     gis/wpt/CScrOptWpt.cpp
     gis/wpt/CDetailsWpt.cpp
@@ -98,10 +105,8 @@
     gis/ovl/CGisItemOvlArea.cpp
     gis/ovl/CScrOptOvlArea.cpp
     gis/ovl/CDetailsOvlArea.cpp
-    gis/CGisWidget.cpp
-    gis/CGisListDB.cpp
-    gis/CGisListWks.cpp
-    gis/CGisProject.cpp
+    gis/gpx/CGpxProject.cpp
+    gis/search/CSearchGoogle.cpp
     plot/IPlot.cpp
     plot/CPlotAxis.cpp
     plot/CPlotAxisTime.cpp    
@@ -150,6 +155,7 @@
     map/CMapMAP.h
     map/CMapVRT.h
     map/CMapWMTS.h
+    map/CMapTMS.h
     map/CMapPathSetup.h
     map/CMapPropSetup.h    
     map/garmin/Garmin.h
@@ -160,8 +166,8 @@
     map/garmin/CGarminPoint.h
     map/garmin/CGarminPolygon.h
     map/garmin/CGarminTyp.h
-    map/wmts/CDiskCache.h
-    map/wmts/IDiskCache.h
+    map/cache/CDiskCache.h
+    map/cache/IDiskCache.h
     map/mapsforge/types.h
     units/IUnit.h
     units/CUnitImperial.h
@@ -189,6 +195,11 @@
     gis/CGisDraw.h
     gis/IGisItem.h
     gis/IGisLine.h
+    gis/IGisProject.h
+    gis/CGisWidget.h
+    gis/CGisListDB.h
+    gis/CGisListWks.h
+    gis/CGisSerialization.h
     gis/wpt/CGisItemWpt.h
     gis/wpt/CScrOptWpt.h
     gis/wpt/CDetailsWpt.h
@@ -202,11 +213,9 @@
     gis/rte/CScrOptRte.h
     gis/ovl/CGisItemOvlArea.h
     gis/ovl/CScrOptOvlArea.h
-    gis/ovl/CDetailsOvlArea.h
-    gis/CGisWidget.h
-    gis/CGisListDB.h
-    gis/CGisListWks.h
-    gis/CGisProject.h    
+    gis/ovl/CDetailsOvlArea.h    
+    gis/gpx/CGpxProject.h
+    gis/search/CSearchGoogle.h
     plot/IPlot.h
     plot/CPlotAxis.h
     plot/CPlotAxisTime.h
@@ -299,6 +308,7 @@
 target_link_libraries(${APPLICATION_NAME}
     Qt5::Widgets
     Qt5::Xml
+    Qt5::Script
     Qt5::WebKitWidgets
     CGetOpt
     ${GDAL_LIBRARIES}
