=== debian/changelog ===
qmapshack (0.7.0-1build1) vivid; urgency=medium

  * No-change rebuild for the libgdal-dev 1.11.2 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 18 Mar 2015 01:06:46 -0600

qmapshack (0.7.0-1) unstable; urgency=medium

  * Imported Upstream version 0.7.0
  * Add qtscript5-dev as build dep.
  * Build with dh parallel.
  * Patch refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 29 Oct 2014 18:34:52 +0100
