=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                libqt5webkit5-dev,
                qtbase5-dev,
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
+               qtscript5-dev
 Standards-Version: 3.9.6
 Homepage: https://bitbucket.org/maproom/qmapshack/wiki/Home
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/qmapshack.git
