=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export QT_SELECT := qt5
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_installchangelogs:
 	dh_installchangelogs changelog.txt
